if not CLIENT
	return
end
-- Entity class with string ID can only be client-side.
ENT = {
	id = 'painspark',
	sheet = Caret,
	flags = NPC.NOCLIP,
	display = { 4,4,4,4 },
	collision = { 2,2,2,2 },
	anims = {
		{
			{{56,16},nil,1},
			{{56,24},nil,1}
		}
	}
}

function ENT:init()
	self.fuse = 16
end

function ENT:think()
	self.fuse = self.fuse - 1
	self.mx = self.mx / 1.25
	self.my = self.my / 1.25
	if self.fuse == 0
		self:die()
	end
end
